# Site settings (baseurl must end with a trailing slash!)
baseurl = "http://replace-this-with-your-hugo-site.com/"
languageCode = "en-us"
title = "Grid Side"
theme = "grid-side"
copyright = "Copyright &#169; by Your Name"

# The theme uses pagination for post, gallery, and project listings.
#paginate = 12

# The theme supports disqus, which will appear only on deployed sites,
# not locally when run with `hugo server`; as with standard Hugo disqus,
# you can specify disqus_identifier, disqus_title, and disqus_url in the
# front matter of specific content.
#disqusShortname = "yourDisqusShortname"

# The theme supports menus with up to one submenu per menu item
# The menu name must be "Main"
SectionPagesMenu = "Main"

[Params]
    # When set to true, will use infinite scrolling to load paginated content
    # for posts, galleries, and projects
    infinite_scroll = true

    # 
    # The post, project, and gallery sections can have infinite scroll turned
    # on/off individually. These values override the infinte_scroll option
    # above.
    #
    #[Params.Post]
    #
    #   infinite_scroll = false
    #
    #[Params.Project]
    #
    #   infinite_scroll = false
    #
    #[Params.Gallery]
    #
    #   infinite_scroll = false

    #
    # Optionally specify the style for highlight.js to enable it, otherwise
    # you can use Pygments on the server side.
    #
    [Params.Highlight]

        style = "railscasts"

    #
    # Contains the main grid cell of your site (such as a picture of yourself)
    # along with your name, description, and email. Any empty field will
    # not be included. Not providing an image will use a color. Not specifying
    # the Header results in this cell not appearing in the site.
    #
    [Params.Header]

        # This is optional
        name = "Your Name"

        # This is optional
        description = "Your Description"

        # This is optional
        email = "your@email.com"

        # Not providing this results in a color being used
        image = "/img/banner.jpg"

        # This uses the CSS background-position, given the image above is set,
        # useful when you want to adjust where the background-image lands
        #image_position = "top"

        # This must be provided if the image above is not
        #color = "#FFF"

    #
    # Contains the footer of your main page and will also append items to
    # the end of your sidebar in non-homepage pages.
    #
    [Params.Footer]

        #
        # Represents the list of icons and associated links to use in your
        # footer and sidebar. Your copyright information will always be
        # shown in the footer.
        #
        # The icon class is a font awesome classname.
        #
        #   e.g. twitter == "fa fa-twitter"
        #
        [[Params.Footer.List]]

            icon_class = "twitter"
            icon_link = "#!"

        [[Params.Footer.List]]

            icon_class = "linkedin"
            icon_link = "#!"

        [[Params.Footer.List]]

            icon_class = "google-plus"
            icon_link = "#!"

        [[Params.Footer.List]]

            icon_class = "github"
            icon_link = "#!"

    #
    # Contains the Cells representing the sections of your website. Each cell
    # contains the name of the cell, an image depicting what the content
    # represents, and a link to use when the cell is clicked. 
    #
    # Not providing an image will use the color specified by 'color' as the
    # background color (default to #FFF).
    #
    # You can embed an icon using 'icon' to specify the classes to use
    # for the icon (such as 'fa fa-flag' when using font awesome).
    #
    # By default, each cell has a grid size of 1/3 (4 out of 12) for large
    # screens, 1/2 (6 out of 12) for medium screens, and 1 (12 out of 12) for
    # small screens. To change the cell's size per screen, use the properties
    # 'cell_large', 'cell_medium', and 'cell_small' respectively with a number
    # ranging from 1 to 12. Make sure that Cells have nubmers equalling 12
    # per row.
    #
    [Params.Cells]

        [[Params.Cells.List]]

            # The name to use with the cell, shows up on hover
            name = "Posts"

            # The link to associate with the cell, used when clicked
            link = "/post/"

            # The image to use as a background-image for the cell
            image = "/img/car.jpg"

            # This uses the CSS background-position, given the image above is
            # set, useful when you want to adjust where the background-image
            # lands
            #image_position = "top"

            # The color to use as a fallback if an image is not provided
            #color = "blue"

            # Grays out the image (if provided), the image will be restored
            # to normal color on hover
            #grayscale = true

            # Disables the normal cell highlight on hover
            #no_highlight = true
            
            # Normally, a cell only shows text (its name) on hover, setting
            # this to true results in the cell always showing its text
            # and also using a dark overlay to make the white text be more
            # visible
            #always_show_text = true

            # Grays out the cell and disables click functionality on it
            #disable = true

        [[Params.Cells.List]]

            name = "Gallery"
            link = "/gallery/"
            image = "/img/cup.jpg"

        [[Params.Cells.List]]

            name = "Projects"
            link = "/project/"
            image = "/img/drone.jpg"

        [[Params.Cells.List]]

            name = "Custom Post Section Name"
            link = "/custompost/"
            image = "/img/food.jpg"

        [[Params.Cells.List]]

            name = "Custom Gallery Section Name"
            link = "/customgallery/"
            image = "/img/jars.jpg"

        [[Params.Cells.List]]

            name = "Custom Project Section Name"
            link = "/customproject/"
            image = "/img/phone.jpg"

